javax.batch.runtime

## Interface JobExecution

-     public interface JobExecution

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BatchStatus` | `getBatchStatus()` Get batch status of this execution.
    `Date` | `getCreateTime()` Get time execution was created.
    `Date` | `getEndTime()` Get time execution entered end status: COMPLETED, STOPPED, FAILED
    `long` | `getExecutionId()` Get unique id for this JobExecution.
    `String` | `getExitStatus()` Get execution exit status.
    `String` | `getJobName()` Get job name.
    `Properties` | `getJobParameters()` Get job parameters for this execution.
    `Date` | `getLastUpdatedTime()` Get time execution was last updated updated.
    `Date` | `getStartTime()` Get time execution entered STARTED status.

- - ### Method Detail

    - #### getExecutionId

          long getExecutionId()

      Get unique id for this JobExecution.
      Returns:
        execution id

    - #### getJobName

          String getJobName()

      Get job name.
      Returns:
        value of 'id' attribute from

    - #### getBatchStatus

          BatchStatus getBatchStatus()

      Get batch status of this execution.
      Returns:
        batch status value.

    - #### getStartTime

          Date getStartTime()

      Get time execution entered STARTED status.
      Returns:
        date (time)

    - #### getEndTime

          Date getEndTime()

      Get time execution entered end status: COMPLETED, STOPPED, FAILED
      Returns:
        date (time)

    - #### getExitStatus

          String getExitStatus()

      Get execution exit status.
      Returns:
        exit status.

    - #### getCreateTime

          Date getCreateTime()

      Get time execution was created.
      Returns:
        date (time)

    - #### getLastUpdatedTime

          Date getLastUpdatedTime()

      Get time execution was last updated updated.
      Returns:
        date (time)

    - #### getJobParameters

          Properties getJobParameters()

      Get job parameters for this execution.
      Returns:
        job parameters

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.